Put V 2 Journey Inputs Id

View as Markdown

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Path parameters

idstringRequired

Request

This endpoint expects an object.
inputstringRequired

Response

updated JourneyInput
idstring
ULID
inputstring
unformatted_date_inputstring
selected_multi_optionslist of objects
selected_input_recordslist of objects
failed_validationslist of strings
prefixstring
suffixstring
workflow_step_input_titlestring
workflow_step_input_typestring
workflow_step_input_idstring
ULID
attachmentslist of objects
journey_step_idstring
ULID
created_atlong

Unix timestamp (seconds since epoch)

updated_atlong

Unix timestamp (seconds since epoch)